
Redmine - Defect #22011

The issue pdf export doesn't show the total estimated time sum

2016-02-11 14:39 - Nils Grimm

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.2.0

Description

In the issues are only the effort (estimated time) of the current issues shown not the sum of the sub issues as it is displayed on the

issue web page.

Related issues:

Related to Redmine - Feature #18015: Show estimated time for subtask in pdf e... New

History

#1 - 2016-02-29 16:00 - Toshi MARUYAMA

- Status changed from New to Needs feedback

What is "effort"?

#2 - 2016-03-08 21:14 - Nils Grimm

Sorry, I switched to the english layout.

The field is named estimated time.

In the ticket view its looking like: estimated time of the parent + (Total: estimated time)

But if the same ticket is saved as pdf the recursive computed (Total: estimated time) is missing.

#3 - 2016-04-07 05:32 - Toshi MARUYAMA

- Subject changed from The issue pdf export doesn't show the total effort sum to The issue pdf export doesn't show the total estimated time sum

- Description updated

#4 - 2016-10-13 16:34 - Markus Brigl

- File 22011_patch.diff added

Here's a quick fix for exporting total_estimated_hours (i.e. including all subtasks) instead of just estimated_hours (i.e. current issue only). It's not as

fancy as the web output which shows both but it works for me. Maybe someone else can pick this up and fix it properly.

#5 - 2016-11-01 17:59 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#6 - 2016-11-01 18:01 - Toshi MARUYAMA

- Related to Feature #18015: Show estimated time for subtask in pdf export added

Files

22011_patch.diff 1.12 KB 2016-10-13 Markus Brigl
